﻿using System;
using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;

namespace LaunchExternalWindow
{
    public partial class Page: UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        /// <summary>
        ///     This launches a new browser on the correct monitor with the default settings for top/left/width/height.
        ///         This more directly maps to window.open().
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void LaunchViaNavigateButton_Click(object sender, RoutedEventArgs e)
        {
            string features = "directories=no,location=no,menubar=no,status=no,toolbar=no";

            HtmlPage.Window.Navigate(new Uri("http://www.r2musings.com"), "_blank", features);
        }

        /// <summary>
        ///     This launches a new browser on the correct monitor with the default setting for top/left/width/height,
        ///       but we have no ability to pass any features to window.open()
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void LaunchViaPopupButton_Click(object sender, RoutedEventArgs e)
        {
            HtmlPage.PopupWindow(new Uri("http://www.wintellect.com"), "_blank", null);
        }
        
        /// <summary>
        ///     This alters the left/width/height/top properties and opens on monitor 1 always.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void LaunchViaPopupButtonNotNull_Click(object sender, RoutedEventArgs e)
        {
            // below pops on Monitor #1 even if browser is on Monitor #2
            HtmlPopupWindowOptions options = new HtmlPopupWindowOptions()
            {
                Directories = false,
                Location = false,
                Menubar = false,
                Status = false,
                Toolbar = false,
            };
            HtmlPage.PopupWindow(new Uri("http://www.wintellect.com"), "_blank", options);    
        }
    }
}
